        <!-- Content Wrapper -->
        <div class="content-wrapper">
            <section class="content-header">
                <h1>RFC2350 <small>Tambah RFC2350</small></h1>
            </section>

            <section class="content">
                <a href="<?php echo base_url('dashboard/rfc2350'); ?>" class="btn btn-sm btn-primary">
                    <i class="fa fa-arrow-left"></i> Kembali
                </a>

                <br/><br/>

                <!-- Tampilkan Error Jika Ada -->
                <?php if ($this->session->flashdata('error')): ?>
                    <div class="alert alert-danger"><?php echo $this->session->flashdata('error'); ?></div>
                <?php endif; ?>

                <?php echo form_open_multipart('dashboard/rfc2350_aksi'); ?>

                <!-- CSRF Protection -->
                <input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" 
                    value="<?php echo $this->security->get_csrf_hash(); ?>" />

                <div class="row">
                    <div class="col-md-8">
                        <div class="box box-primary">
                            <div class="box-body">
                                <div class="form-group">
                                    <label>Judul</label>
                                    <input type="text" name="judul" class="form-control" placeholder="Masukkan judul RFC2350..." required value="<?php echo set_value('judul'); ?>">
                                    <?php echo form_error('judul', '<div class="text-danger">', '</div>'); ?><br>
                                    
                                    <label>Kategori</label>
                                    <select class="form-control" name="kategori" required>
                                        <option value="">- Pilih Kategori -</option>
                                        <?php foreach($kategori_rfc2350 as $k): ?>
                                            <option value="<?php echo $k->kategori_rfc2350_id; ?>" <?php echo set_select('kategori', $k->kategori_rfc2350_id); ?>>
                                                <?php echo $k->kategori_rfc2350_nama; ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                    <?php echo form_error('kategori', '<div class="text-danger">', '</div>'); ?>
                                </div>

                                <div class="form-group">
                                    <label>Upload Dokumen</label>
                                    <input type="file" name="dokumen_rfc" class="form-control" required>
                                    <?php if(isset($rfc_dokumen_error)): ?>
                                        <div class="text-danger"><?php echo $rfc_dokumen_error; ?></div>
                                    <?php endif; ?>
                                </div>

                                <!-- Progress Bar -->
                                <div class="progress progress-sm active">
                                    <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;" id="progressBar_rfc2350">
                                        <span class="sr-only">0% Complete</span>
                                    </div>
                                </div>

                                <!-- Tombol Submit -->
                                <button type="submit" name="status" value="Draft" class="btn btn-warning btn-block">Simpan sebagai Draft</button>
                                <button type="submit" name="status" value="Publish" class="btn btn-success btn-block">Publikasikan</button>
                            </div>
                        </div>
                    </div>
                </div>


                <?php echo form_close(); ?>
            </section>
        </div>
